Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SSLIOP_Credentials.cpp File Reference

`#include "SSLIOP_Credentials.h"`
`#include "tao/ORB_Constants.h"`
`#include "SSLIOP_Credentials.inl"`

Include dependency graph for SSLIOP_Credentials.cpp:

## Functions
const char * | get_rcsid_TAO_SSLIOP_SSLIOP_Credentials (const char *)
TAO_SSLIOP_Credentials_ptr | tao_TAO_SSLIOP_Credentials_duplicate (TAO_SSLIOP_Credentials_ptr p)
void | tao_TAO_SSLIOP_Credentials_release (TAO_SSLIOP_Credentials_ptr p)
TAO_SSLIOP_Credentials_ptr | tao_TAO_SSLIOP_Credentials_nil (void)
TAO_SSLIOP_Credentials_ptr | tao_TAO_SSLIOP_Credentials_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_TAO_SSLIOP_Credentials_upcast (void *src)
## Variables
const char * | rcsid_TAO_SSLIOP_SSLIOP_Credentials = get_rcsid_TAO_SSLIOP_SSLIOP_Credentials ( rcsid_TAO_SSLIOP_SSLIOP_Credentials )
const Security::AssociationOptions | TAO_SSLIOP_DISALLOWED_ASSOCIATIONS

## Function Documentation

const char* get_rcsid_TAO_SSLIOP_SSLIOP_Credentials | ( | const char * |  | ) | `[inline, static]`

TAO_SSLIOP_Credentials_ptr tao_TAO_SSLIOP_Credentials_duplicate | ( | TAO_SSLIOP_Credentials_ptr | p | ) |

TAO_SSLIOP_Credentials_ptr tao_TAO_SSLIOP_Credentials_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

TAO_SSLIOP_Credentials_ptr tao_TAO_SSLIOP_Credentials_nil | ( | void |  | ) |

void tao_TAO_SSLIOP_Credentials_release | ( | TAO_SSLIOP_Credentials_ptr | p | ) |

CORBA::Object* tao_TAO_SSLIOP_Credentials_upcast | ( | void * | src | ) |

## Variable Documentation

const char* rcsid_TAO_SSLIOP_SSLIOP_Credentials = get_rcsid_TAO_SSLIOP_SSLIOP_Credentials ( rcsid_TAO_SSLIOP_SSLIOP_Credentials )`[static]`

const Security::AssociationOptions TAO_SSLIOP_DISALLOWED_ASSOCIATIONS

| Initial value:
      Security::DetectReplay
      | Security::DetectMisordering
      | Security::SimpleDelegation
      | Security::CompositeDelegation